<vn>
<div id="title">
	<h1><t>Items</t></h1>
</div>
<div id="actions">
	<htk-search-entry form="hash" column="search"/>
</div>
<div id="form" class="items">
	<htk-repeater 
		class="htk-list rows box vn-w-xs"
		form-id="iter"
		empty-message="_Enter a search term">
		<db-model property="model" id="items" lot="hash">
			SELECT i.id, i.longName, i.size, i.category,
					i.value5, i.value6, i.value7,
					i.image, im.updated
				FROM vn.item i
					LEFT JOIN image im
						ON im.collectionFk = 'catalog'
						AND im.name = i.image
				WHERE i.longName LIKE CONCAT('%', #search, '%')
					OR i.id = #search
				ORDER BY i.longName LIMIT 50
		</db-model>
		<custom>
			<div class="item">
				<div class="side vn-mr-md">
					<htk-image
						form="$iter"
						column="image"
						stamp-column="updated"
						class="photo"
						directory="catalog"
						subdir="200x200"
						full-dir="1600x900"
						editable="true"
						conn="conn"/>
				</div>
				<div class="content">
					<p class="important">
						{{iter.longName}}
					</p>
					<p class="tags">
						{{iter.value5}} {{iter.value6}} {{iter.value7}}
					</p>
					<p>
						{{iter.id}}
					</p>
					<p>
						{{iter.image}}
					</p>
				</div>
			</div>
		</custom>
	</htk-repeater>
</div>
</vn>
